Dell Mini 9 OS X Discussion Discussion for installing and setting up Mac OS X on the Dell Mini and Vostro A90

Reply
 
Thread Tools Display Modes
  (#1) Old
Eligos Eligos is offline
Senior Member
 
Eligos's Avatar
 
Posts: 262
Join Date: Jan 2009
Default Install Safari 5.1 on 10.6.2 - 07-21-2011, 02:17 PM

I'm still on 10.6.2 since everything just works for me. I'll be looking into upgrading to 10.6.8 when all the kinks are ironed out - no rush...

Safari 5.1 came out yesterday and of course, it would not install on 10.6.2. So, I used Pacifist and voila, "It Just Works"

Use at your own risk!

1) Open Safari 5.1 installer with the latest Pacifist.
2) Select the package and click "Install"
3) When prompted to replace or upgrade - Select "Replace"

Enjoy your new Safari 5.1.


Dell Mini 9 : OS X 10.6.8 : BIOS A05
32GB STEC SSD : 2GB RAM
NBI Version : Latest
SpeedStep : [Enabled]
USB Legacy support : [Disabled]
Reply With Quote
  (#2) Old
r6680jc r6680jc is offline
Senior Member
 
r6680jc's Avatar
 
Posts: 229
Join Date: May 2010
Default 07-21-2011, 04:14 PM

Another way:

Open terminal
Type:
Code:
sudo nano /System/Library/CoreServices/SystemVersion.plist
Hit enter
Type password when it prompts

Change ProductUserVisibleVersion and ProductVersion from 10.6.2 to 10.6.8

Press Ctrl+O (control Key and O letter Key) to save it

Hit enter

Press Ctrl+X (control Key and X letter Key) to exit nano editor

Exit terminal

Run disk utility and perform repair disk.

Restart your mini

It's now ready to install Safari 5.1.
Reply With Quote
  (#3) Old
Eligos Eligos is offline
Senior Member
 
Eligos's Avatar
 
Posts: 262
Join Date: Jan 2009
Default 07-21-2011, 04:53 PM

Good post! No need for pacifist.


Dell Mini 9 : OS X 10.6.8 : BIOS A05
32GB STEC SSD : 2GB RAM
NBI Version : Latest
SpeedStep : [Enabled]
USB Legacy support : [Disabled]
Reply With Quote
  (#4) Old
r6680jc r6680jc is offline
Senior Member
 
r6680jc's Avatar
 
Posts: 229
Join Date: May 2010
Default 07-21-2011, 09:58 PM

Quote:
Originally Posted by Eligos View Post
Good post! No need for pacifist.
Both of our methods work, we can install Safari 5.1 on every version of Snow Leopard, and Safari works fine, but we don't know (yet) the negative effects of forcing the latest Safari to install on the unsupported version of Snow Leopard.
Reply With Quote
  (#5) Old
Eligos Eligos is offline
Senior Member
 
Eligos's Avatar
 
Posts: 262
Join Date: Jan 2009
Default 07-22-2011, 11:21 AM

UPDATE:

I had to ditch 5.1 in favour of 5.05 since entering info in Login/password areas on a web page would cause the browser to beach ball.


Dell Mini 9 : OS X 10.6.8 : BIOS A05
32GB STEC SSD : 2GB RAM
NBI Version : Latest
SpeedStep : [Enabled]
USB Legacy support : [Disabled]
Reply With Quote
Reply

« Previous Thread | Next Thread »
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Copyright © 2008-2016 MyDellMini.com.